Change log for qt4-x11 package in Ubuntu

175 of 302 results
Published in wily-proposed on 2015-07-31
qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu8) wily; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <email address hidden>  Sun, 12 Jul 2015 21:12:40 +0200
Published in wily-release on 2015-06-22
Deleted in wily-proposed (Reason: moved to release)
qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu7) wily; urgency=medium

  * SECURITY UPDATE: denial of service via crafted BMP
    - debian/patches/CVE-2015-0295.patch: fix division by zero in
      src/gui/image/qbmphandler.cpp.
    - CVE-2015-0295
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted BMP or ICO images
    - debian/patches/CVE-2015-1858-1859.patch: move check to better
      location in src/gui/image/qbmphandler.cpp, check depth in
      src/plugins/imageformats/ico/qicohandler.cpp.
    - CVE-2015-1858
    - CVE-2015-1859
  * SECURITY UPDATE: denial of service and possible code exection via
    crafted GIF image
    - debian/patches/CVE-2015-1860.patch: check bounds in
      src/gui/image/qgifhandler.cpp.
    - CVE-2015-1860

 -- Marc Deslauriers <email address hidden>  Wed, 03 Jun 2015 09:34:49 -0400
Published in precise-updates on 2015-06-03
Published in precise-security on 2015-06-03
qt4-x11 (4:4.8.1-0ubuntu4.9) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted GIF image
    - debian/patches/CVE-2014-0190.patch: check for broken image in
      src/gui/image/qgifhandler.cpp.
    - CVE-2014-0190
  * SECURITY UPDATE: denial of service via crafted BMP
    - debian/patches/CVE-2015-0295.patch: fix division by zero in
      src/gui/image/qbmphandler.cpp.
    - CVE-2015-0295
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted BMP or ICO images
    - debian/patches/CVE-2015-1858-1859.patch: move check to better
      location in src/gui/image/qbmphandler.cpp, check depth in
      src/plugins/imageformats/ico/qicohandler.cpp.
    - CVE-2015-1858
    - CVE-2015-1859
  * SECURITY UPDATE: denial of service and possible code exection via
    crafted GIF image
    - debian/patches/CVE-2015-1860.patch: check bounds in
      src/gui/image/qgifhandler.cpp.
    - CVE-2015-1860

 -- Marc Deslauriers <email address hidden>  Wed, 27 May 2015 08:41:41 -0400
Published in vivid-updates on 2015-06-03
Published in vivid-security on 2015-06-03
qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu6.1) vivid-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted BMP
    - debian/patches/CVE-2015-0295.patch: fix division by zero in
      src/gui/image/qbmphandler.cpp.
    - CVE-2015-0295
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted BMP or ICO images
    - debian/patches/CVE-2015-1858-1859.patch: move check to better
      location in src/gui/image/qbmphandler.cpp, check depth in
      src/plugins/imageformats/ico/qicohandler.cpp.
    - CVE-2015-1858
    - CVE-2015-1859
  * SECURITY UPDATE: denial of service and possible code exection via
    crafted GIF image
    - debian/patches/CVE-2015-1860.patch: check bounds in
      src/gui/image/qgifhandler.cpp.
    - CVE-2015-1860

 -- Marc Deslauriers <email address hidden>  Mon, 25 May 2015 13:35:15 -0400
Published in trusty-updates on 2015-06-03
Published in trusty-security on 2015-06-03
qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted GIF image
    - debian/patches/CVE-2014-0190.patch: check for broken image in
      src/gui/image/qgifhandler.cpp.
    - CVE-2014-0190
  * SECURITY UPDATE: denial of service via crafted BMP
    - debian/patches/CVE-2015-0295.patch: fix division by zero in
      src/gui/image/qbmphandler.cpp.
    - CVE-2015-0295
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted BMP or ICO images
    - debian/patches/CVE-2015-1858-1859.patch: move check to better
      location in src/gui/image/qbmphandler.cpp, check depth in
      src/plugins/imageformats/ico/qicohandler.cpp.
    - CVE-2015-1858
    - CVE-2015-1859
  * SECURITY UPDATE: denial of service and possible code exection via
    crafted GIF image
    - debian/patches/CVE-2015-1860.patch: check bounds in
      src/gui/image/qgifhandler.cpp.
    - CVE-2015-1860

 -- Marc Deslauriers <email address hidden>  Mon, 25 May 2015 13:49:04 -0400
Published in utopic-updates on 2015-06-03
Published in utopic-security on 2015-06-03
qt4-x11 (4:4.8.6+git49-gbc62005+dfsg-1ubuntu1.1) utopic-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted BMP
    - debian/patches/CVE-2015-0295.patch: fix division by zero in
      src/gui/image/qbmphandler.cpp.
    - CVE-2015-0295
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted BMP or ICO images
    - debian/patches/CVE-2015-1858-1859.patch: move check to better
      location in src/gui/image/qbmphandler.cpp, check depth in
      src/plugins/imageformats/ico/qicohandler.cpp.
    - CVE-2015-1858
    - CVE-2015-1859
  * SECURITY UPDATE: denial of service and possible code exection via
    crafted GIF image
    - debian/patches/CVE-2015-1860.patch: check bounds in
      src/gui/image/qgifhandler.cpp.
    - CVE-2015-1860

 -- Marc Deslauriers <email address hidden>  Mon, 25 May 2015 13:47:43 -0400
Superseded in wily-release on 2015-06-22
Published in vivid-release on 2015-03-06
Deleted in vivid-proposed (Reason: moved to release)
qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu6) vivid; urgency=medium

  * Fix detection of GCC 5.
 -- Matthias Klose <email address hidden>   Fri, 06 Mar 2015 12:10:22 +0100
Superseded in vivid-release on 2015-03-06
Deleted in vivid-proposed on 2015-03-08 (Reason: moved to release)
qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu5) vivid; urgency=medium

  * Add kubuntu_qclipboard_delay.diff to fix KDE dialogs in LibreOffice
  * Add kubuntu_qclipboard_fix_recursive.diff to fix crash in clipboard
    in LibreOffice with Qt style
 -- Jonathan Riddell <email address hidden>   Sat, 22 Nov 2014 15:39:41 +0100
Superseded in vivid-release on 2014-11-26
Deleted in vivid-proposed on 2014-11-27 (Reason: moved to release)
qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu4) vivid; urgency=medium

  * kubuntu_43_no_meego_helper.patch: Patch in one more location.
 -- Dmitry Shachnev <email address hidden>   Tue, 04 Nov 2014 21:29:04 +0300
Superseded in vivid-proposed on 2014-11-05
qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu3) vivid; urgency=medium

  * kubuntu_43_no_meego_helper.patch: Don’t build QtMeegoGraphicsSystemHelper,
    useless on non-MeeGo systems.
 -- Dmitry Shachnev <email address hidden>   Tue, 04 Nov 2014 17:37:26 +0300
Superseded in vivid-proposed on 2014-11-04
qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu2) vivid; urgency=medium

  * Drop the hacks to build QtWebKit for Assistant, as we now have Assistant
    from Qt 5.x properly built against QtWebKit 5.x.
  * Drop kubuntu_31_unity_workarea_atom.diff, it was needed only for Unity 2D.
 -- Dmitry Shachnev <email address hidden>   Sun, 02 Nov 2014 14:56:51 +0300
Superseded in vivid-proposed on 2014-11-03
qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu1) vivid; urgency=medium

  * Merge with Debian git, remaining changes:
    - Pass list-missing to dh_install instead of fail-missing, since we don't
      install the QtWebkit headers
    - Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - Build QtWebkit and use it only for QtAssistant
      + Rule to put qt_webkit_version.pri in mkspecs/modules
      + Rule to remove libQtWebKit* after build
      + Exclude bin/assistant from dh_shlibdeps
    - Also exclude webkit examples from dh_shlibdeps
    - Do not build libqt4-phonon, disable in debian/control
    - Add debian/Trolltech.conf and install it in libqtcore4.install
    - On armel and armhf, build with -gstabs instead of -g in an effort to get
      the link step for QtWebkit to complete before timed out by the builders
    - Build with -no-neon on armel and armhf
    - Build with -no-javascript-jit on arm64
    - Add patches:
      + kubuntu_10_ibus_input_method.diff
      + kubuntu_12_fix_stack_protector.diff
      + kubuntu_14_systemtrayicon.diff
      + kubuntu_17_enable_qtwebkit_for_qtassistant.diff
      + kubuntu_28_xi2.1.patch
      + kubuntu_30_translucent_drag_pixmap.diff
      + kubuntu_31_unity_workarea_atom.diff
      + kubuntu_37_cups_settings.diff
      + kubuntu_39_fix_medium_font.diff
      + kubuntu_40_disable_neon.patch
      + kubuntu_93_disable_overlay_scrollbars.diff
      + kubuntu_94_xinput_valuators_fix.diff
      + kubuntu_95_qt_disable_bounce.diff
      + kubuntu_97_a11y_qt_and_qml_backport.diff
      + kubuntu_98_a11y_fix_crash.diff
      + kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff
    - Drop powerpc_designer_gstabs.diff, it breaks powerpc

Superseded in vivid-release on 2014-11-05
Published in utopic-release on 2014-08-06
Deleted in utopic-proposed (Reason: moved to release)
qt4-x11 (4:4.8.6+git49-gbc62005+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Pass list-missing to dh_install instead of fail-missing, since we don't
      install the QtWebkit headers
    - Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - Build QtWebkit and use it only for QtAssistant
      + Rule to put qt_webkit_version.pri in mkspecs/modules
      + Rule to remove libQtWebKit* after build
      + Exclude usr/bin/assistant-qt4 from dh_shlibdeps
    - Also exclude webkit examples from dh_shlibdeps
    - Do not build libqt4-phonon, disable in debian/control
    - Add debian/Trolltech.conf and install it in libqtcore4.install
    - On armel and armhf, build with -gstabs instead of -g in an effort to get
      the link step for QtWebkit to complete before timed out by the builders
    - Build with -no-neon on armel and armhf
    - Build with -no-javascript-jit on arm64
    - Install qatomic_aarch64.h
    - Add patches:
      + kubuntu_10_ibus_input_method.diff
      + kubuntu_12_fix_stack_protector.diff
      + kubuntu_14_systemtrayicon.diff
      + kubuntu_17_enable_qtwebkit_for_qtassistant.diff
      + kubuntu_28_xi2.1.patch
      + kubuntu_30_translucent_drag_pixmap.diff
      + kubuntu_31_unity_workarea_atom.diff
      + kubuntu_37_cups_settings.diff
      + kubuntu_39_fix_medium_font.diff
      + kubuntu_40_disable_neon.patch
      + kubuntu_93_disable_overlay_scrollbars.diff
      + kubuntu_94_xinput_valuators_fix.diff
      + kubuntu_95_qt_disable_bounce.diff
      + kubuntu_97_a11y_qt_and_qml_backport.diff
      + kubuntu_98_a11y_fix_crash.diff
      + kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff
      + aarch64.patch
      + ppc64el.patch
    - Drop powerpc_designer_gstabs.diff, it breaks powerpc
    - Use Kubuntu Vcs fields

Superseded in utopic-release on 2014-08-06
Deleted in utopic-proposed on 2014-08-07 (Reason: moved to release)
qt4-x11 (4:4.8.6+dfsg-1ubuntu2) utopic; urgency=medium

  * Add arm64 to no_pch_architectures, should fix FTBFS.
    See LP #1318635 for details.
 -- Dmitry Shachnev <email address hidden>   Mon, 12 May 2014 18:06:34 +0400
Superseded in utopic-proposed on 2014-05-12
qt4-x11 (4:4.8.6+dfsg-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Pass list-missing to dh_install instead of fail-missing, since we don't
      install the QtWebkit headers
    - Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - Build QtWebkit and use it only for QtAssistant
      + Rule to put qt_webkit_version.pri in mkspecs/modules
      + Rule to remove libQtWebKit* after build
      + Exclude usr/bin/assistant-qt4 from dh_shlibdeps
    - Also exclude webkit examples from dh_shlibdeps
    - Do not build libqt4-phonon, disable in debian/control
    - Add debian/Trolltech.conf and install it in libqtcore4.install
    - On armel and armhf, build with -gstabs instead of -g in an effort to get
      the link step for QtWebkit to complete before timed out by the builders
    - Build with -no-neon on armel and armhf
    - Build with -no-javascript-jit on arm64
    - Install qatomic_aarch64.h
    - Add patches:
      + kubuntu_10_ibus_input_method.diff
      + kubuntu_12_fix_stack_protector.diff
      + kubuntu_14_systemtrayicon.diff
      + kubuntu_17_enable_qtwebkit_for_qtassistant.diff
      + kubuntu_28_xi2.1.patch
      + kubuntu_30_translucent_drag_pixmap.diff
      + kubuntu_31_unity_workarea_atom.diff
      + kubuntu_37_cups_settings.diff
      + kubuntu_39_fix_medium_font.diff
      + kubuntu_40_disable_neon.patch
      + kubuntu_93_disable_overlay_scrollbars.diff
      + kubuntu_94_xinput_valuators_fix.diff
      + kubuntu_95_qt_disable_bounce.diff
      + kubuntu_97_a11y_qt_and_qml_backport.diff
      + kubuntu_98_a11y_fix_crash.diff
      + kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff
      + aarch64.patch
      + ppc64el.patch
    - Drop powerpc_designer_gstabs.diff, it breaks powerpc
    - Use Kubuntu Vcs fields
  * Drop kubuntu_34_no_gold_check.diff, applied upstream.
  * Drop aarch64_fix_jsc.patch, no longer needed.
  * Drop aarch64_fix_atomic_set.patch, instead of patching a patch
    apply changes directly in aarch64.patch.
  * Refresh and rebase other patches.

Obsolete in saucy-updates on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to -updates)
qt4-x11 (4:4.8.4+dfsg-0ubuntu18.3) saucy; urgency=medium

  [ Rohan Garg ]
  * Add kubuntu_98_a11y_fix_crash.diff to fix plasma crashing due to
    ubuntu-specific accessibility patch LP: #1289600
 -- Rohan Garg <email address hidden>   Wed, 12 Mar 2014 16:33:21 +0100
Obsolete in quantal-updates on 2015-04-24
Deleted in quantal-proposed on 2015-05-01 (Reason: moved to -updates)
qt4-x11 (4:4.8.3+dfsg-0ubuntu3.4) quantal-proposed; urgency=medium

  [ Rohan Garg ]
  * Add kubuntu_98_a11y_fix_crash.diff to fix plasma crashing due to
    ubuntu-specific accessibility patch LP: #1289600
 -- Rohan Garg <email address hidden>   Wed, 12 Mar 2014 16:33:21 +0100
Superseded in precise-updates on 2015-06-03
Deleted in precise-proposed on 2015-06-04 (Reason: moved to -updates)
qt4-x11 (4:4.8.1-0ubuntu4.8) precise; urgency=medium

  [ Rohan Garg ]
  * Add kubuntu_98_a11y_fix_crash.diff to fix plasma crashing due to
    ubuntu-specific accessibility patch LP: #1289600
 -- Rohan Garg <email address hidden>   Wed, 12 Mar 2014 18:13:21 +0100
Deleted in quantal-proposed on 2014-04-24 (Reason: can't verify sru so will upload without the second patch)
qt4-x11 (4:4.8.3+dfsg-0ubuntu3.3) quantal-proposed; urgency=medium

  [ Jonathan Riddell ]
  * Add kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff from LiMux
    fix crash in LibreOffice with KDE theme LP: #1290514

  [ Rohan Garg ]
  * Add kubuntu_98_a11y_fix_crash.diff to fix plasma crashing due to
    ubuntu-specific accessibility patch LP: #1289600
 -- Rohan Garg <email address hidden>   Wed, 12 Mar 2014 16:33:21 +0100
Deleted in precise-proposed on 2014-04-24 (Reason: can't verify sru so will upload without the second patch)
qt4-x11 (4:4.8.1-0ubuntu4.7) precise; urgency=medium

  [ Jonathan Riddell ]
  * Add kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff from LiMux
    fix crash in LibreOffice with KDE theme LP: #1290514

  [ Rohan Garg ]
  * Add kubuntu_98_a11y_fix_crash.diff to fix plasma crashing due to
    ubuntu-specific accessibility patch LP: #1289600
 -- Rohan Garg <email address hidden>   Wed, 12 Mar 2014 18:13:21 +0100
Deleted in saucy-proposed on 2014-04-24 (Reason: can't verify sru so will upload without the second patch)
qt4-x11 (4:4.8.4+dfsg-0ubuntu18.2) saucy; urgency=medium

  [ Jonathan Riddell ]
  * Add kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff from LiMux
    fix crash in LibreOffice with KDE theme LP: #1290514

  [ Rohan Garg ]
  * Add kubuntu_98_a11y_fix_crash.diff to fix plasma crashing due to
    ubuntu-specific accessibility patch LP: #1289600
 -- Rohan Garg <email address hidden>   Wed, 12 Mar 2014 16:33:21 +0100
Superseded in utopic-release on 2014-05-12
Published in trusty-release on 2014-03-13
Deleted in trusty-proposed (Reason: moved to release)
qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) trusty; urgency=medium

  [ Jonathan Riddell ]
  * Add kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff from LiMux
    fix crash in LibreOffice with KDE theme LP: #1290514

  [ Rohan Garg ]
  * Add kubuntu_98_a11y_fix_crash.diff to fix plasma crashing due to
    ubuntu-specific accessibility patch LP: #1289600
 -- Jonathan Riddell <email address hidden>   Tue, 11 Mar 2014 13:29:27 +0000
Superseded in trusty-release on 2014-03-13
Deleted in trusty-proposed on 2014-03-14 (Reason: moved to release)
qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2ubuntu3) trusty; urgency=medium

  * Make libqtdbus4 break/replace libqt4-dbus (<< 4:4.8.5) (LP: #1268690).
 -- Dmitry Shachnev <email address hidden>   Tue, 14 Jan 2014 11:58:48 +0000
Superseded in trusty-proposed on 2014-01-14
qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2ubuntu2) trusty; urgency=medium

  * debian/libqt4-dev.install: Readd qatomic_aarch64.h (dropped in last upload)
    to presumably fix build failures on arm64 against qt4-x11.
 -- Logan Rosen <email address hidden>   Mon, 13 Jan 2014 22:55:55 -0500
Superseded in trusty-proposed on 2014-01-14
qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2ubuntu1) trusty; urgency=low

  [ Rohan Garg, Dmitry Shachnev ]
  * Merge from Debian unstable.  Remaining changes:
    - Pass list-missing to dh_install instead of fail-missing, since we don't
      install the QtWebkit headers
    - Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - Build QtWebkit and use it only for QtAssistant
      + Rule to put qt_webkit_version.pri in mkspecs/modules
      + Rule to remove libQtWebKit* after build
      + Exclude usr/bin/assistant-qt4 from dh_shlibdeps
    - Also exclude webkit examples from dh_shlibdeps
    - Do not build libqt4-phonon, disable in debian/control
    - Add debian/Trolltech.conf and install it in libqtcore4.install
    - On armel and armhf, build with -gstabs instead of -g in an effort to get
      the link step for QtWebkit to complete before timed out by the builders
    - Build with -no-neon on armel and armhf
    - Build with -no-pch on powerpc
    - Add patches:
      + aarch64_fix_atomic_set.patch
      + aarch64_fix_jsc.patch
      + aarch64.patch
      + kubuntu_10_ibus_input_method.diff
      + kubuntu_12_fix_stack_protector.diff
      + kubuntu_14_systemtrayicon.diff
      + kubuntu_17_enable_qtwebkit_for_qtassistant.diff
      + kubuntu_28_xi2.1.patch
      + kubuntu_30_translucent_drag_pixmap.diff
      + kubuntu_31_unity_workarea_atom.diff
      + kubuntu_34_no_gold_check.diff
      + kubuntu_37_cups_settings.diff
      + kubuntu_39_fix_medium_font.diff
      + kubuntu_40_disable_neon.patch
      + kubuntu_93_disable_overlay_scrollbars.diff
      + kubuntu_94_xinput_valuators_fix.diff
      + kubuntu_95_qt_disable_bounce.diff
      + kubuntu_97_a11y_qt_and_qml_backport.diff
    - Drop powerpc_designer_gstabs.diff, it breaks powerpc
    - Use Kubuntu Vcs fields
  * Drop the following patches, applied upstream:
    - QTBUG-29082_Fix_call_to_QMetaObject_metaCall_from_updateProperty.patch
    - CVE-2013-4549.patch
    - gcc-4.8.diff
    - CVE-2011-3922.patch
    - CVE-2012-6093.patch
    - CVE-2013-0254.patch
    - kubuntu_41_remove_gtk_theme_check.diff
    - kubuntu_42_fix_icon_themes.diff
    - kubuntu_default_numbers.diff
    - moc-boost148-53.patch
  * Rebase patches:
    - kubuntu_28_xi2.1.patch
    - ppc64el.patch
    - aarch64.patch
 -- Rohan Garg <email address hidden>   Fri, 03 Jan 2014 19:33:31 +0100
Superseded in precise-updates on 2014-05-21
Deleted in precise-proposed on 2014-05-22 (Reason: moved to -updates)
qt4-x11 (4:4.8.1-0ubuntu4.6) precise-proposed; urgency=low

  * Query for Xi 2.2 first before falling back to Xi 2.1. (LP: #1242633)
    - This fixes unity-2d pointer barriers.
 -- Maarten Lankhorst <email address hidden>   Wed, 27 Nov 2013 12:14:51 +0000
Superseded in trusty-release on 2014-01-15
Deleted in trusty-proposed on 2014-01-16 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu22) trusty; urgency=medium

  * No-change rebuild for libmng soname bump.
 -- Matthias Klose <email address hidden>   Mon, 16 Dec 2013 16:07:30 +0100
Superseded in trusty-release on 2013-12-17
Deleted in trusty-proposed on 2013-12-18 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu21) trusty; urgency=low

  * debian/patches/ppc64el.patch: Add configure support for ppc64el.
  * debian/patches/powerpc_designer_gstabs.diff: Drop. powerpc works now, and
    it breaks ppc64el.
 -- William Grant <email address hidden>   Mon, 16 Dec 2013 09:57:49 +1100
Superseded in precise-updates on 2014-01-06
Superseded in precise-security on 2015-06-03
qt4-x11 (4:4.8.1-0ubuntu4.5) precise-security; urgency=low

  * SECURITY UPDATE: [XML Entity Expansion Denial of Service] (LP: #1259577).
    - Add CVE-2013-4549.diff
    - add limit in src/xml/sax/qxml.cpp
    - http://lists.qt-project.org/pipermail/announce/2013-December/000036.html
    - CVE-2013-4549
 -- Jonathan Riddell <email address hidden>   Tue, 10 Dec 2013 22:49:13 +0000
Superseded in saucy-updates on 2014-05-21
Obsolete in saucy-security on 2015-04-24
qt4-x11 (4:4.8.4+dfsg-0ubuntu18.1) saucy-security; urgency=low

  * SECURITY UPDATE: [XML Entity Expansion Denial of Service] (LP: #1259577).
    - Add CVE-2013-4549.diff
    - add limit in src/xml/sax/qxml.cpp
    - http://lists.qt-project.org/pipermail/announce/2013-December/000036.html
    - CVE-2013-4549
 -- Jonathan Riddell <email address hidden>   Tue, 10 Dec 2013 16:54:32 +0000
Superseded in quantal-updates on 2014-05-22
Obsolete in quantal-security on 2015-04-24
qt4-x11 (4:4.8.3+dfsg-0ubuntu3.2) quantal-security; urgency=low

  * SECURITY UPDATE: [XML Entity Expansion Denial of Service] (LP: #1259577).
    - Add CVE-2013-4549.diff
    - add limit in src/xml/sax/qxml.cpp
    - http://lists.qt-project.org/pipermail/announce/2013-December/000036.html
    - CVE-2013-4549
 -- Jonathan Riddell <email address hidden>   Tue, 10 Dec 2013 22:44:01 +0000
Obsolete in raring-updates on 2015-04-24
Obsolete in raring-security on 2015-04-24
qt4-x11 (4:4.8.4+dfsg-0ubuntu9.5) raring-security; urgency=low

  * SECURITY UPDATE: [XML Entity Expansion Denial of Service] (LP: #1259577).
    - Add CVE-2013-4549.diff
    - add limit in src/xml/sax/qxml.cpp
    - http://lists.qt-project.org/pipermail/announce/2013-December/000036.html
    - CVE-2013-4549
 -- Jonathan Riddell <email address hidden>   Tue, 10 Dec 2013 20:51:37 +0000
Superseded in trusty-release on 2013-12-16
Deleted in trusty-proposed on 2013-12-17 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu20) trusty; urgency=low

  * SECURITY UPDATE: [XML Entity Expansion Denial of Service] (LP: #1259577).
    - Add CVE-2013-4549.patch
    - add limit in src/xml/sax/qxml.cpp
    - http://lists.qt-project.org/pipermail/announce/2013-December/000036.html
    - CVE-2013-4549
 -- Jonathan Riddell <email address hidden>   Tue, 10 Dec 2013 16:30:00 +0000
Superseded in trusty-release on 2013-12-10
Deleted in trusty-proposed on 2013-12-12 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu19) trusty; urgency=low

  [ William Grant ]
  * debian/patches/aarch64_fix_jsc.patch:
    Fix JavaScriptCore aarch64 platform configuration to actually be
    evaluated; it was previously hidden inside an #ifdef __arm__ so
    was never executed.

  [ Adam Conrad ]
  * Revert the translation-disabling hack from 4:4.8.4+dfsg-0ubuntu17.
 -- William Grant <email address hidden>   Tue, 22 Oct 2013 22:06:13 +1100
Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu18) saucy; urgency=low

  * debian/patches/aarch64_fix_atomic_set.patch:
    Fix QBasicAtomicInt::testAndSetRelaxed and
    QBasicAtomicPointer<T>::testAndSetRelaxed to actually set the given value,
    rather than a pointer to that value on the local stack frame.
 -- William Grant <email address hidden>   Sun, 13 Oct 2013 22:29:08 +1100
Superseded in saucy-release on 2013-10-14
Deleted in saucy-proposed on 2013-10-15 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu17) saucy; urgency=low

  * Do not build the translations on AArch64.
 -- Matthias Klose <email address hidden>   Fri, 11 Oct 2013 16:51:18 +0200
Superseded in saucy-release on 2013-10-12
Deleted in saucy-proposed on 2013-10-13 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu16) saucy; urgency=low

  * add kubuntu_default_numbers.diff to fix default numbers in slovak
    and indian locales LP: #1131070
 -- Jonathan Riddell <email address hidden>   Mon, 23 Sep 2013 11:24:34 +0100
Superseded in raring-updates on 2013-12-17
Deleted in raring-proposed on 2013-12-18 (Reason: moved to -updates)
qt4-x11 (4:4.8.4+dfsg-0ubuntu9.4) raring-proposed; urgency=low

  * Update kubuntu_42_fix_icon_themes.diff to fix the regression,
    and re-enable it (LP: #1180067).
 -- Dmitry Shachnev <email address hidden>   Sun, 25 Aug 2013 10:16:48 +0400
Superseded in raring-updates on 2013-09-18
Superseded in raring-proposed on 2013-09-05
qt4-x11 (4:4.8.4+dfsg-0ubuntu9.3) raring-proposed; urgency=low

  * Drop kubuntu_38_revert_fix_jit_crash.diff as QTBUG-27322 which it was
    preventing is fixed in 4.8.4 and now only causes a regression as it's
    a revert of the fix for QTBUG-23871. (LP: #1200523)
 -- Felix Geyer <email address hidden>   Sat, 24 Aug 2013 16:09:18 +0200
Superseded in saucy-release on 2013-09-26
Deleted in saucy-proposed on 2013-09-27 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu15) saucy; urgency=low

  * Build for Aarch64.
 -- Matthias Klose <email address hidden>   Wed, 31 Jul 2013 16:21:09 +0200
Superseded in saucy-release on 2013-08-10
Deleted in saucy-proposed on 2013-08-12 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu14) saucy; urgency=low

  * Fix regression caused by LP: #1180067. (LP: #1195007)
 -- Dmitrijs Ledkovs <email address hidden>   Mon, 08 Jul 2013 15:40:39 +0100
Superseded in raring-updates on 2013-09-05
Deleted in raring-proposed on 2013-09-07 (Reason: moved to -updates)
qt4-x11 (4:4.8.4+dfsg-0ubuntu9.2) raring-proposed; urgency=low

  * Drop kubuntu_42_fix_icon_themes.diff fix regression in running
    KDE applications on Unity, LP: #1180067
 -- Jonathan Riddell <email address hidden>   Mon, 08 Jul 2013 14:23:48 +0100
Superseded in saucy-proposed on 2013-07-08
qt4-x11 (4:4.8.4+dfsg-0ubuntu13) saucy; urgency=low

  * Rebuild to investigate Valgrind errors in qgtkstyle
 -- Jonathan Riddell <email address hidden>   Wed, 03 Jul 2013 12:18:51 +0100
Superseded in raring-updates on 2013-07-09
Deleted in raring-proposed on 2013-07-10 (Reason: moved to -updates)
qt4-x11 (4:4.8.4+dfsg-0ubuntu9.1) raring; urgency=low

  * debian/patches/kubuntu_42_fix_icon_themes.diff:
    fix icon themes not working on a default Ubuntu install by using
    GtkSettings where appropriate (LP: #1180067).
 -- Dmitry Shachnev <email address hidden>   Sun, 19 May 2013 19:18:58 +0400
Superseded in saucy-release on 2013-07-10
Deleted in saucy-proposed on 2013-07-12 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu12) saucy; urgency=low

  * Drop kubuntu_38_revert_fix_jit_crash.diff as QTBUG-27322 which it was
    preventing is fixed in 4.8.4 and now only causes a regression as it's
    a revert of the fix for QTBUG-23871
 -- Philip Muskovac <email address hidden>   Mon, 03 Jun 2013 17:02:44 +0200
Superseded in saucy-release on 2013-06-04
Deleted in saucy-proposed on 2013-06-05 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu11) saucy; urgency=low

  * debian/rules: build with -no-pch on armhf and powerpc (fixes FTBFS).
 -- Dmitry Shachnev <email address hidden>   Tue, 28 May 2013 16:07:22 +0400
Superseded in saucy-proposed on 2013-05-29
qt4-x11 (4:4.8.4+dfsg-0ubuntu10) saucy; urgency=low

  * debian/patches/kubuntu_42_fix_icon_themes.diff:
    fix icon themes not working on a default Ubuntu install by using
    GtkSettings where appropriate (LP: #1180067).
 -- Dmitry Shachnev <email address hidden>   Sun, 19 May 2013 19:18:58 +0400
Superseded in saucy-release on 2013-05-30
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu9) raring; urgency=low

  * Fix moc tripping over BOOST_JOIN. (LP: #1119656)
 -- Dmitrijs Ledkovs <email address hidden>   Wed, 27 Mar 2013 00:02:12 +0000
Superseded in raring-release on 2013-03-27
Deleted in raring-proposed on 2013-03-28 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu8) raring; urgency=low

  [ Harald Sitter ]
  * Drop kdeqt.pot creation. Not used anymore (fixes build with new
    pkg-kde-tools)

  [ Dmitry Shachnev ]
  * debian/patches/kubuntu_41_remove_gtk_theme_check.diff:
    do not check that Gtk theme is not empty (LP: #1094360).
 -- Harald Sitter <email address hidden>   Mon, 18 Mar 2013 11:10:45 +0100
Superseded in raring-release on 2013-03-21
Deleted in raring-proposed on 2013-03-22 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu7) raring; urgency=low

  * Fix header file, causing build failure with GCC 4.8.
 -- Matthias Klose <email address hidden>   Tue, 26 Feb 2013 11:00:45 +0100
Superseded in raring-release on 2013-02-27
Deleted in raring-proposed on 2013-02-28 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu6) raring; urgency=low

  * Cherry pick upstream commit 5b285845a3c3478a4008b7e3416c3912c69fd20b
    as QTBUG-29082_Fix_call_to_QMetaObject_metaCall_from_updateProperty.patch
    to fix a crash in QML to fix kde bug 311751.
 -- Philip Muskovac <email address hidden>   Tue, 19 Feb 2013 19:22:01 +0100
Superseded in raring-release on 2013-02-20
Deleted in raring-proposed on 2013-02-27 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu5) raring; urgency=low

  * SECURITY UPDATE: incorrect errors with certificate verification
    - debian/patches/CVE-2012-6093.patch: use openssl access functions to
      properly handle layout changes in
      src/network/ssl/qsslsocket_openssl.cpp,
      src/network/ssl/qsslsocket_openssl_symbols.cpp,
      src/network/ssl/qsslsocket_openssl_symbols_p.h.
    - CVE-2012-6093
  * SECURITY UPDATE: shared memory segments incorrect permissions
    - debian/patches/CVE-2013-0254.patch: set appropriate permissions in
      src/corelib/kernel/qsharedmemory_unix.cpp,
      src/corelib/kernel/qsystemsemaphore_unix.cpp,
      src/gui/image/qnativeimage.cpp,
      src/gui/image/qpixmap_x11.cpp,
      src/plugins/platforms/xcb/qxcbwindowsurface.cpp,
      src/plugins/platforms/xlib/qxlibwindowsurface.cpp,
      tools/qvfb/qvfbshmem.cpp.
    - CVE-2013-0254
 -- Marc Deslauriers <email address hidden>   Thu, 14 Feb 2013 12:40:48 -0500
Superseded in raring-release on 2013-02-15
Deleted in raring-proposed on 2013-02-16 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu4) raring; urgency=low

  * debian/control:
    - change the build-dep order the way around to get previous packages
      depending on libqt4-dev still building. libqt4-dev dep on
      qt4-default | qt-default to ensure at least one version of qmake & co
      is targetted. qt{4,5}-default will provide qt-default.
 -- Didier Roche <email address hidden>   Fri, 08 Feb 2013 13:21:39 +0100
Superseded in raring-proposed on 2013-02-08
qt4-x11 (4:4.8.4+dfsg-0ubuntu3) raring; urgency=low

  [ Harald Sitter]
  * Rename fix_medium_font.diff to kubuntu_39_fix_medium_font.diff to reflect
    its origin.
  * Apply kubuntu patches in numeric order.
  * Add more dep3 tags to kubuntu patches.

  [ Timo Jyrinki ]
  * Migrate to use qtchooser for Qt5 co-installation support
    - Libraries co-installed, executables managed by qtchooser
    - Packages will need build-dep on qt4-default to build against Qt4
    - Symlinks left for binaries that had -qt4 via alternatives
  * Clean alternatives on upgrade
  * Add qt4-default package
 -- Timo Jyrinki <email address hidden>   Wed, 16 Jan 2013 07:58:47 +0000
Published in lucid-updates on 2013-02-14
Published in lucid-security on 2013-02-14
qt4-x11 (4:4.6.2-0ubuntu5.6) lucid-security; urgency=low

  * SECURITY UPDATE: incorrect errors with certificate verification
    - debian/patches/CVE-2012-6093.patch: use openssl access functions to
      properly handle layout changes in
      src/network/ssl/qsslsocket_openssl.cpp,
      src/network/ssl/qsslsocket_openssl_symbols.cpp,
      src/network/ssl/qsslsocket_openssl_symbols_p.h.
    - CVE-2012-6093
  * SECURITY UPDATE: shared memory segments incorrect permissions
    - debian/patches/CVE-2013-0254.patch: set appropriate permissions in
      src/corelib/kernel/qsharedmemory_unix.cpp,
      src/corelib/kernel/qsystemsemaphore_unix.cpp,
      src/gui/image/qnativeimage.cpp,
      src/gui/image/qpixmap_x11.cpp,
      tools/qvfb/qvfbshmem.cpp.
    - CVE-2013-0254
 -- Marc Deslauriers <email address hidden>   Wed, 06 Feb 2013 08:41:09 -0500
Obsolete in oneiric-updates on 2015-04-24
Obsolete in oneiric-security on 2015-04-24
qt4-x11 (4:4.7.4-0ubuntu8.3) oneiric-security; urgency=low

  * SECURITY UPDATE: information disclosure via MITM redirect
    - debian/patches/CVE-2012-5624.patch: don't redirect to file URLs in
      src/declarative/qml/qdeclarativexmlhttprequest.cpp.
    - CVE-2012-5624
  * SECURITY UPDATE: incorrect errors with certificate verification
    - debian/patches/CVE-2012-6093.patch: use openssl access functions to
      properly handle layout changes in
      src/network/ssl/qsslsocket_openssl.cpp,
      src/network/ssl/qsslsocket_openssl_symbols.cpp,
      src/network/ssl/qsslsocket_openssl_symbols_p.h.
    - CVE-2012-6093
  * SECURITY UPDATE: shared memory segments incorrect permissions
    - debian/patches/CVE-2013-0254.patch: set appropriate permissions in
      src/corelib/kernel/qsharedmemory_unix.cpp,
      src/corelib/kernel/qsystemsemaphore_unix.cpp,
      src/gui/image/qnativeimage.cpp,
      src/gui/image/qpixmap_x11.cpp,
      tools/qvfb/qvfbshmem.cpp.
    - CVE-2013-0254
 -- Marc Deslauriers <email address hidden>   Wed, 06 Feb 2013 08:24:39 -0500
Superseded in precise-updates on 2013-12-17
Superseded in precise-security on 2013-12-17
qt4-x11 (4:4.8.1-0ubuntu4.4) precise-security; urgency=low

  * SECURITY UPDATE: information disclosure via MITM redirect
    - debian/patches/CVE-2012-5624.patch: don't redirect to file URLs in
      src/declarative/qml/qdeclarativexmlhttprequest.cpp.
    - CVE-2012-5624
  * SECURITY UPDATE: incorrect errors with certificate verification
    - debian/patches/CVE-2012-6093.patch: use openssl access functions to
      properly handle layout changes in
      src/network/ssl/qsslsocket_openssl.cpp,
      src/network/ssl/qsslsocket_openssl_symbols.cpp,
      src/network/ssl/qsslsocket_openssl_symbols_p.h.
    - CVE-2012-6093
  * SECURITY UPDATE: shared memory segments incorrect permissions
    - debian/patches/CVE-2013-0254.patch: set appropriate permissions in
      src/corelib/kernel/qsharedmemory_unix.cpp,
      src/corelib/kernel/qsystemsemaphore_unix.cpp,
      src/gui/image/qnativeimage.cpp,
      src/gui/image/qpixmap_x11.cpp,
      src/plugins/platforms/xcb/qxcbwindowsurface.cpp,
      src/plugins/platforms/xlib/qxlibwindowsurface.cpp,
      tools/qvfb/qvfbshmem.cpp.
    - CVE-2013-0254
 -- Marc Deslauriers <email address hidden>   Wed, 06 Feb 2013 08:21:20 -0500
Superseded in quantal-updates on 2013-12-17
Superseded in quantal-security on 2013-12-17
qt4-x11 (4:4.8.3+dfsg-0ubuntu3.1) quantal-security; urgency=low

  * SECURITY UPDATE: information disclosure via MITM redirect
    - debian/patches/CVE-2012-5624.patch: don't redirect to file URLs in
      src/declarative/qml/qdeclarativexmlhttprequest.cpp.
    - CVE-2012-5624
  * SECURITY UPDATE: incorrect errors with certificate verification
    - debian/patches/CVE-2012-6093.patch: use openssl access functions to
      properly handle layout changes in
      src/network/ssl/qsslsocket_openssl.cpp,
      src/network/ssl/qsslsocket_openssl_symbols.cpp,
      src/network/ssl/qsslsocket_openssl_symbols_p.h.
    - CVE-2012-6093
  * SECURITY UPDATE: shared memory segments incorrect permissions
    - debian/patches/CVE-2013-0254.patch: set appropriate permissions in
      src/corelib/kernel/qsharedmemory_unix.cpp,
      src/corelib/kernel/qsystemsemaphore_unix.cpp,
      src/gui/image/qnativeimage.cpp,
      src/gui/image/qpixmap_x11.cpp,
      src/plugins/platforms/xcb/qxcbwindowsurface.cpp,
      src/plugins/platforms/xlib/qxlibwindowsurface.cpp,
      tools/qvfb/qvfbshmem.cpp.
    - CVE-2013-0254
 -- Marc Deslauriers <email address hidden>   Wed, 06 Feb 2013 08:11:17 -0500
Superseded in raring-release on 2013-02-09
Deleted in raring-proposed on 2013-02-10 (Reason: moved to release)
qt4-x11 (4:4.8.4+dfsg-0ubuntu2) raring; urgency=low

  * Disable neon for Ubuntu since armel is no longer supported.
 -- Tim Gardner <email address hidden>   Sun, 13 Jan 2013 08:02:00 -0700
Superseded in raring-proposed on 2013-01-13
qt4-x11 (4:4.8.4+dfsg-0ubuntu1) raring; urgency=low

  * New upstream release
  * Remove QTBUG-14724_close_orphaned_file_descriptors_after_printing.patch
    now upstream
  * Remove disable-SSL-compression-by-default.patch now upstream
 -- Jonathan Riddell <email address hidden>   Wed, 09 Jan 2013 12:27:22 +0000
Superseded in lucid-updates on 2013-02-14
Superseded in lucid-security on 2013-02-14
qt4-x11 (4:4.6.2-0ubuntu5.5) lucid-security; urgency=low

  * SECURITY UPDATE: fix for SSL compression "CRIME" attack
    - debian/patches/CVE-2012-4929.patch: Disable SSL compression by default
    - CVE-2012-4929
    - LP: #1057578
 -- Seth Arnold <email address hidden>   Mon, 22 Oct 2012 10:44:46 -0700
Superseded in oneiric-updates on 2013-02-14
Superseded in oneiric-security on 2013-02-14
qt4-x11 (4:4.7.4-0ubuntu8.2) oneiric-security; urgency=low

  * SECURITY UPDATE: fix for SSL compression "CRIME" attack
    - debian/patches/CVE-2012-4929.patch: Disable SSL compression by default
    - CVE-2012-4929
    - LP: #1057578
 -- Seth Arnold <email address hidden>   Mon, 22 Oct 2012 10:52:08 -0700
Superseded in precise-updates on 2013-02-14
Superseded in precise-security on 2013-02-14
qt4-x11 (4:4.8.1-0ubuntu4.3) precise-security; urgency=low

  * SECURITY UPDATE: fix for SSL compression "CRIME" attack
    - debian/patches/CVE-2012-4929.patch: Disable SSL compression by default
    - CVE-2012-4929
    - LP: #1057578
 -- Seth Arnold <email address hidden>   Mon, 22 Oct 2012 10:54:05 -0700
Superseded in raring-release on 2013-01-14
Obsolete in quantal-release on 2015-04-24
Deleted in quantal-proposed on 2015-05-01 (Reason: moved to release)
qt4-x11 (4:4.8.3+dfsg-0ubuntu3) quantal-proposed; urgency=low

  [ Iain Lane ]
  * On armel and armhf, build with -gstabs instead of -g in an effort to get
    the link step for QtWebkit to complete before timed out by the builders.

  [ Felix Geyer ]
  * Disabling SSL/TLS compression to mitigate the "CRIME" attack. (LP: #1057578)
    - Add disable-SSL-compression-by-default.patch
 -- Iain Lane <email address hidden>   Tue, 02 Oct 2012 10:36:17 +0100
Superseded in quantal-proposed on 2012-10-02
qt4-x11 (4:4.8.3+dfsg-0ubuntu2) quantal-proposed; urgency=low

  [ Felix Geyer ]
  * Drop versioned build-dependcy on g++-4.6 [armel]. g++ 4.7 is used
    on all architectures in Ubuntu.

  [ Ken VanDine ]
  * debian/patches/fix_medium_font.diff
    - Patch from Michał Sawicz to fix Ubuntu Medium font in Qt (LP: #744812)
 -- Ken VanDine <email address hidden>   Wed, 26 Sep 2012 16:25:16 -0400
Superseded in quantal-release on 2012-10-03
qt4-x11 (4:4.8.3+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.
  * Drop patches that have been merged upstream:
    - QElfParser-fix-type-of-sh_size.patch
    - Fix-cursor-truncate-to-include-line-position.patch
    - qt_atomic_sparc64.patch
    - fix_use_after_free_qlocale_unix.patch
    - kubuntu_01_fix_build_glib_231.diff
    - kubuntu_33_shaped_drag.diff
  * Refresh patches:
    - 01_debian_append_qt4_suffix.diff
    - 16_hide_std_symbols_on_qtwebkit.diff
    - no_libicu_message.diff
    - kubuntu_93_disable_overlay_scrollbars.diff
  * Update symbols files.
  * Add kubuntu_38_revert_fix_jit_crash.diff as the patch removed in
    4:4.8.2-0ubuntu7 has been merged upstream.
 -- Felix Geyer <email address hidden>   Wed, 19 Sep 2012 19:54:40 +0200
Superseded in quantal-release on 2012-09-19
qt4-x11 (4:4.8.2+dfsg-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - libqt4-dbus recommends instead of depends on qdbus
    - build with -no-phonon
    - Do not build libqt4-phonon, disable in debian/control
    - Add MessagesQt.sh
    - Rules to create Messages.sh link to MessagesQt.sh and rules to create po
      dir and execute extract-messages.sh in override_dh_auto_install
    - Add and install Trolltech.conf in libqtcore4.install
    - Build QtWebkit and use it only for QtAssistant
      + Rule to put qt_webkit_version.pri in mkspecs/modules
      + Rule to remove libQtWebKit* after build
      + Exclude usr/bin/assistant-qt4 from dh_shlibdeps
  * Fixes crash in Qt Assistant during startup. (LP: #1045755)
  * Update symbols files.

Superseded in quantal-release on 2012-09-12
qt4-x11 (4:4.8.2-0ubuntu7) quantal; urgency=low

  * Remove patch kubuntu_36_qtscript_64bit.diff causes crashes on app startup
    LP: #1046244
 -- Jonathan Riddell <email address hidden>   Wed, 05 Sep 2012 17:31:51 +0100
Superseded in quantal-release on 2012-09-05
qt4-x11 (4:4.8.2-0ubuntu6) quantal; urgency=low

  [ Rohan Garg ]
  * Transition to libtiff-dev

  [ Jonathan Riddell ]
  * Add kubuntu_37_cups_settings.diff from https://bugs.kde.org/180051 and
    QTBUG-25372 use CUPS settings in the print dialogue. LP: #905147
 -- Rohan Garg <email address hidden>   Fri, 24 Aug 2012 00:16:10 +0530
Superseded in quantal-release on 2012-08-28
qt4-x11 (4:4.8.2-0ubuntu5) quantal; urgency=low

  * Add patch kubuntu_36_qtscript_64bit.diff from Qt 4.8.3 branch
    recommended by KDevelop authors. Fix JIT crash on x86-64
 -- Jonathan Riddell <email address hidden>   Fri, 17 Aug 2012 11:46:46 +0100
Superseded in precise-updates on 2012-11-08
Deleted in precise-proposed on 2012-11-10 (Reason: moved to -updates)
qt4-x11 (4:4.8.1-0ubuntu4.2) precise-proposed; urgency=low

  * Add kubuntu_35_text_cursor_position.diff fixes LP: #1024402
    "Text cursor in wrong cell in calligrawords"
 -- Jonathan Riddell <email address hidden>   Sat, 14 Jul 2012 18:26:51 +0100
Superseded in quantal-release on 2012-08-17
qt4-x11 (4:4.8.2-0ubuntu4) quantal; urgency=low

  * Add kubuntu_35_text_cursor_position.diff from upstream fixes LP: #1024402
    "Text cursor in wrong cell in calligrawords"
 -- Jonathan Riddell <email address hidden>   Sat, 14 Jul 2012 18:30:29 +0100
Superseded in quantal-release on 2012-07-14
qt4-x11 (4:4.8.2-0ubuntu3) quantal; urgency=low

  * debian/control:
    - Build-Depend on libtiff5-dev instead of libtiff4-dev
 -- Michael Terry <email address hidden>   Tue, 10 Jul 2012 09:26:09 -0400
Obsolete in natty-updates on 2013-06-04
Obsolete in natty-security on 2013-06-04
qt4-x11 (4:4.7.2-0ubuntu6.4) natty-security; urgency=low

  * SECURITY UPDATE: fix buffer overflow in HarfBuzz
    - debian/patches/CVE-2011-3193.patch: adjust Lookup_MarkMarkPos() in
      harfbuzz-gpos.c to properly perform input validation when processing
      certain fonts
    - CVE-2011-3193
  * SECURITY UPDATE: fix potential buffer overflow and crash in TIFF reader
    - debian/patches/CVE-2011-3194.patch: adjust QTiffHandler::read() to
      properly calculate the bits per pixel for greyscale TIFF images
    - CVE-2011-3194
 -- Jamie Strandboge <email address hidden>   Mon, 09 Jul 2012 17:40:00 -0500
Superseded in lucid-updates on 2012-11-08
Superseded in lucid-security on 2012-11-08
qt4-x11 (4:4.6.2-0ubuntu5.4) lucid-security; urgency=low

  * SECURITY: fix for wildcard domains and IP addresses
    - debian/patches/CVE-2010-5076.patch: adjust certificate verification to
      properly validate hostnames and IP addresses
    - CVE-2010-5076
  * SECURITY UPDATE: fix buffer overflow in HarfBuzz
    - debian/patches/CVE-2011-3193.patch: adjust Lookup_MarkMarkPos() in
      harfbuzz-gpos.c to properly perform input validation when processing
      certain fonts
    - CVE-2011-3193
  * SECURITY UPDATE: fix potential buffer overflow and crash in TIFF reader
    - debian/patches/CVE-2011-3194.patch: adjust QTiffHandler::read() to
      properly calculate the bits per pixel for greyscale TIFF images
    - CVE-2011-3194
 -- Jamie Strandboge <email address hidden>   Mon, 09 Jul 2012 16:01:14 -0500
175 of 302 results